Name: xtuple-csvimp
Version: 0.5.4
Release: 13%{?dist}
Summary: xTuple data import utility
License: CPAL
Url: http://www.xtuple.org/DataImportTool
Source: https://github.com/xtuple/csvimp/archive/v%version.tar.bz2
BuildRequires: desktop-file-utils
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtxmlpatterns-devel
BuildRequires: xtuple-openrpt-devel

%global _docdir_fmt %{name}

%description
A tool designed to import Comma Separated Value (CSV) files into the
database for the xTuple Applications (PostBooks and OpenMFG).

%package devel
Summary: CSVImp development files
Requires: qt5-qtbase-devel
Requires: libdmtx-devel
Requires: xtuple-openrpt-devel

%description devel
A tool designed to import Comma Separated Value (CSV) files into the
database for the xTuple Applications (PostBooks and OpenMFG).
This package provides the header files used by developers.

%prep
%setup -q  -n csvimp-%{version}

%build
export HARDCODE_APPLICATION_DIR=%{_libdir}/csvimp
export USE_SHARED_OPENRPT=1
export OPENRPT_HEADERS=/usr/include/openrpt
export OPENRPT_LIBDIR=%{_libdir}
#lrelease-qt5 */*/*.ts */*.ts
%{qmake_qt5} .
make %{?_smp_mflags}

%install
# make install doesn't do anything for this qmake project so we do
# the installs manually
#make INSTALL_ROOT=%{buildroot} install
#rm -f %{buildroot}%{_libdir}/lib*.a
mkdir -p %{buildroot}%{_bindir}
install csvimp %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}/csvimp/plugins
install -m 0755 plugins/libcsvimpplugin.so %{buildroot}%{_libdir}/csvimp/plugins
mkdir -p %{buildroot}%{_includedir}/csvimp
find . -name '*.h' -exec install -m 0644 -D {} %{buildroot}%{_includedir}/csvimp/{} \;
mkdir -p %{buildroot}%{_datadir}/csvimp/images
cp -r csvimpcommon/images/* %{buildroot}%{_datadir}/csvimp/images
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --dir=%{buildroot}%{_datadir}/applications *.desktop

%files 
%{_bindir}/*
%dir %{_libdir}/csvimp
%dir %{_libdir}/csvimp/plugins
%{_libdir}/csvimp/plugins/libcsvimpplugin.so
%{_datadir}/applications/*.desktop
%dir %{_datadir}/csvimp
%dir %{_datadir}/csvimp/images
%{_datadir}/csvimp/images/*

%files devel
%dir %{_includedir}/csvimp/
%{_includedir}/csvimp/*

%changelog
* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Apr 14 2017 Daniel Pocock <daniel@pocock.pro> - 0.5.4-8
- New upstream release.

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Feb 02 2016 Rex Dieter <rdieter@fedoraproject.org> - 0.5.1-5
- use %%qmake_qt4 macro to ensure proper build flags

* Fri Sep 04 2015 Daniel Pocock <daniel@pocock.pro> - 0.5.1-4
- Rebuild.

* Thu Sep  3 2015 Daniel Pocock <daniel@pocock.pro> - 0.5.1-3
- Rebuild.

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 25 2015 Daniel Pocock <daniel@pocock.pro> - 0.5.0-1
- Initial RPM packaging.

